PHP Update 5.3.26-19.el5.art breaking apache

General Discussion of atomic repo and development projects.

Ask for help here with anything else not covered by other forums.
travisbotello
New Forum User
New Forum User
Posts: 1
Joined: Thu Jun 13, 2013 4:47 am
Location: Puerto Rico

PHP Update 5.3.26-19.el5.art breaking apache

Unread post by travisbotello »

Hello guys,

I've been using the Atomic Repo to serve my CentOS 5.X machine with new/stable PHP releases for almost one year now. And you guys are doing an awesome job...until today I was never having any issues after an update. This morning I updated from 5.3.25 to 5.3.26 and after restarting httpd I was having some serious issues on my machine. Apache was telling me the following:

Code: Select all

# service httpd start
httpd starten: Syntax error on line 31 of /etc/httpd/conf.d/php.conf:
Invalid command 'php_value', perhaps misspelled or defined by a module not included in the server configuration
Here's the output of the php.conf:

Code: Select all

#
# Cause the PHP interpreter to handle files with a .php extension.
#
<FilesMatch \.php$>
    SetHandler application/x-httpd-php
</FilesMatch>

#
# Allow php to handle Multiviews
#
AddType text/html .php

#
# Add index.php to the list of files that will be served as directory
# indexes.
#
DirectoryIndex index.php

#
# Uncomment the following lines to allow PHP to pretty-print .phps
# files as PHP source code:
#
#<FilesMatch \.phps$>
#    SetHandler application/x-httpd-php-source
#</FilesMatch>

#
# Apache specific PHP configuration options
# those can be override in each configured vhost
#
php_value session.save_handler "files"
php_value session.save_path    "/var/lib/php/session"
So basically mod_php was not loaded anymore. I added this line right at the top to bypass the issue:

Code: Select all

#
# PHP is an HTML-embedded scripting language which attempts to make it
# easy for developers to write dynamically generated webpages.
#
<IfModule prefork.c>
  LoadModule php5_module modules/libphp5.so
</IfModule>
<IfModule worker.c>
  LoadModule php5_module modules/libphp5-zts.so
</IfModule>
It looks like these lines got lost while replacing the no-longer recommended AddHandler with the much more secure SetHandler method.
itsmagic
New Forum User
New Forum User
Posts: 3
Joined: Sun Jun 16, 2013 7:21 am
Location: United Kingdom

Re: PHP Update 5.3.26-19.el5.art breaking apache

Unread post by itsmagic »

Hi Guys.

Same issue here unfortunately and presently stuck with a down server :-(

After the automated update my system went down and apache would not start. After much frustration and rebooting and then some web research I found this thread.

I have added the suggested code to my php.conf file and that enables the apache server to start. Non Joomla Websites now come up OK but Joomla sites on the server display this page now:

mark('afterLoad') : null; // Instantiate the application. $app = JFactory::getApplication('site'); // Initialise the application. $app->initialise(); // Mark afterIntialise in the profiler. JDEBUG ? $_PROFILER->mark('afterInitialise') : null; // Route the application. $app->route(); // Mark afterRoute in the profiler. JDEBUG ? $_PROFILER->mark('afterRoute') : null; // Dispatch the application. $app->dispatch(); // Mark afterDispatch in the profiler. JDEBUG ? $_PROFILER->mark('afterDispatch') : null; // Render the application. $app->render(); // Mark afterRender in the profiler. JDEBUG ? $_PROFILER->mark('afterRender') : null; // Return the response. echo $app;

I am not a programmer or php person so I am pretty much in the dark about what to do next to try and fix this. Any help or suggestions much appreciated as this is my production server and my and my clients sites are down at the moment! Help!
vectorsites
New Forum User
New Forum User
Posts: 3
Joined: Wed Aug 28, 2013 8:26 am
Location: Melbourne, FL USA

Re: PHP Update 5.3.26-19.el5.art breaking apache

Unread post by vectorsites »

itsmagic wrote:Hi Guys.

Same issue here unfortunately and presently stuck with a down server :-(

After the automated update my system went down and apache would not start. After much frustration and rebooting and then some web research I found this thread.

I have added the suggested code to my php.conf file and that enables the apache server to start. Non Joomla Websites now come up OK but Joomla sites on the server display this page now:

mark('afterLoad') : null; // Instantiate the application. $app = JFactory::getApplication('site'); // Initialise the application. $app->initialise(); // Mark afterIntialise in the profiler. JDEBUG ? $_PROFILER->mark('afterInitialise') : null; // Route the application. $app->route(); // Mark afterRoute in the profiler. JDEBUG ? $_PROFILER->mark('afterRoute') : null; // Dispatch the application. $app->dispatch(); // Mark afterDispatch in the profiler. JDEBUG ? $_PROFILER->mark('afterDispatch') : null; // Render the application. $app->render(); // Mark afterRender in the profiler. JDEBUG ? $_PROFILER->mark('afterRender') : null; // Return the response. echo $app;

I am not a programmer or php person so I am pretty much in the dark about what to do next to try and fix this. Any help or suggestions much appreciated as this is my production server and my and my clients sites are down at the moment! Help!

I am experiencing this same error and it has to be the Atomic PHP version 5.4 and mod_fcgi not working together right. Did you ever fix this issue or does anyone have an answer?

PS I tried the yum downgrade plugin and it only took me back to php5.4.17 and then a second time wants to take me to 5.1.6
scott
Atomicorp Staff - Site Admin
Atomicorp Staff - Site Admin
Posts: 8330
Joined: Wed Dec 31, 1969 8:00 pm
Location: earth
Contact:

Re: PHP Update 5.3.26-19.el5.art breaking apache

Unread post by scott »

If you have a way we can repeat this in our systems here we can look into it.
vectorsites
New Forum User
New Forum User
Posts: 3
Joined: Wed Aug 28, 2013 8:26 am
Location: Melbourne, FL USA

Re: PHP Update 5.3.26-19.el5.art breaking apache

Unread post by vectorsites »

My issue is solved, I downgraded from php5.4 to 5.3 using the webtactic repo
Post Reply